=== on 23 Sep 2014, 10:05:34 Ann Campbell wrote:
\[~linda.martin] the original rule contains a parameter (false by default) about whether to check parameterized methods. They are ignored by default.


Also, since PHP is not strongly typed, I wonder if this rule will be forced to rely on function documentation...?

=== on 23 Sep 2014, 12:25:42 Linda Martin wrote:
\[~ann.campbell.2] indeed for PHP this rule will rely on the documentation.

=== on 12 Oct 2014, 18:40:13 Freddy Mallet wrote:
@Ann and @Linda, are you sure that this rule is really used and usable in PHP because for sure in Java or C#, there are lot of methods returning a boolean value and which can start by something else than "is", for instance :

* hasXXX
* containsYYYY
* canZZZZ
* ...

=== on 12 Oct 2014, 22:10:51 Ann Campbell wrote:
\[~freddy.mallet] as I recall, we picked this rule up as a replacement rule from a removed tool. [~linda.martin]...?

=== on 13 Oct 2014, 10:40:45 Linda Martin wrote:
\[~ann.campbell.2] & [~freddy.mallet] this rule comes from PHPMD see http://phpmd.org/rules/naming.html#booleangetmethodname[documentation]. 


Indeed PHPMDP rule suggest 2 options:

* "isX"
* "hasX"

Also the rule is limited to getter that has the ``++@return++`` documentation tag with boolean. IMO it would be worth to explicitly mention it in the description additionally to the code snippet, WDYT Ann ?

=== on 14 Oct 2014, 14:26:13 Ann Campbell wrote:
\[~linda.martin] the description already includes:

____
Note that this rule will only apply to functions that are documented to return a boolean.
____


Do you want an explicit Exceptions section saying that code without @return documentation will be ignored?

=== on 15 Oct 2014, 07:22:26 Linda Martin wrote:
\[~ann.campbell.2] my bad I missed this sentence which is very well explicit!

Thanks and sorry for that.

